/***************************************************************************
 *   Copyright (C) 2007, 2008 by Marcel Hasler                             *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "atomparser.h"

AtomParser::AtomParser()
{
	m_xmlReader = new QXmlSimpleReader;
	m_contentHandler = new AtomContentHandler;
	m_xmlReader->setContentHandler(m_contentHandler);
}


AtomParser::~AtomParser()
{
	if (m_xmlReader)
		delete m_xmlReader;

	if (m_contentHandler)
		delete m_contentHandler;
}


bool AtomParser::parseFile(const QString &atomFile)
{
	if (!QFile::exists(atomFile))
		return false;

	QFile file(atomFile);
	QXmlInputSource source(&file);
	m_xmlReader->parse(source);

	return true;
}


unsigned int AtomParser::messageCount() const
{
	return m_contentHandler->messageCount();
}


const QString& AtomParser::lastSender() const
{
	return m_contentHandler->lastSender();
}


const QString& AtomParser::lastSubject() const
{
	return m_contentHandler->lastSubject();
}
