/***************************************************************************
 *   Copyright (C) 2008 by Marcel Hasler                                   *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef WALLET_H
#define WALLET_H

#include <qstring.h>
#include <kwallet.h>

/**
	@author Marcel Hasler <mahasler@gmail.com>
*/
class Wallet : public QObject
{
	Q_OBJECT
public:
	Wallet();
	~Wallet();

	QString readPassword();
	void writePassword(const QString &password);
	void deletePassword();

private:
	KWallet::Wallet *m_wallet;
	bool m_firstTimeOpen;

private slots:
	void slotWalletClosed();
};

#endif
